### Method

# Dex Limiter acquire

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_limiter_acquire (
      DexLimiter* limiter
    )

#### Description [src]

Acquires one permit from `limiter`.

The returned future resolves to `TRUE` when a permit has been acquired. Call `dex_limiter_release()` exactly once for each resolved acquisition.

If the returned future is discarded before the permit is acquired, the permit is returned to the limiter when it becomes available. If `limiter` is closed before acquisition completes, the returned future rejects with `DEX_ERROR_SEMAPHORE_CLOSED`.

Available since: 1.2

#### Return value

Type: `DexFuture`

A future that resolves when a permit is acquired.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.